Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.producer
Interface ProducerManager

public interface ProducerManager

Specifies an interface for managing producers for a given consumer.

Nested Class Summary
`static class` | `ProducerManager.Factory` A `ProducerManager` factory.

Method Summary
`ProducerInfo` | `addProducer(ProducerInfo producerInfo, String webappName)` Adds a producer * * @param producerInfo producer info * @param webappName web app * @return producer info * @throws ProducerManagerException thrown due to an error performing the * operation
`ProducerInfo` | `addProducer(String wsdlUrl, DefinitionsDocument wsdl, ServiceDescription serviceDescription, String producerHandle, String description, String vendorName, String webappName, HttpServletRequest request)` Adds a producer * * @param wsdlUrl WSDL URL * @param wsdl WSDL document * @param serviceDescription service description * @param producerHandle producer handle * @param description description * @param vendorName vendor * @param webappName web app * @param request HTTP request * @return producer info * @throws ProducerManagerException thrown due to an error performing the * operation
`void` | `deregisterProducer(String producerHandle, String webappName, HttpServletRequest httpRequest)` Deregisters with the given producer.
`ProducerInfo` | `getProducer(String producerHandle, String webappName)` Returns the producer, given its handle and the web app
`ProducerInfo[]` | `getProducers(String webappName)` Returns an array of currently added producers
`ServiceDescription` | `getServiceDescription(String producerHandle, String webappName)` Returns the service description for a specified producer WSDL URL
`String` | `modifyProducerRegistration(String producerHandle, String webappName, Map registrationProperties, HttpServletRequest httpRequest)` Modifies a current producer's registration.
`String` | `registerProducer(String producerHandle, String webappName, Map registrationProperties, HttpServletRequest httpRequest)` Registers this consumer with a producer.
`void` | `removeProducer(String producerHandle, String webappName)` Removes a producer.
`void` | `removeProducerCascade(String producerHandle, String webappName, HttpServletRequest httpRequest)` Removes a producer, first removing any added portlets for the producer.
`void` | `updateProducer(ProducerInfo producer, String webappName)` Updates the given producer * * @param producer * @param webappName * @throws ProducerManagerException

Method Detail

### addProducer

    public ProducerInfo addProducer(ProducerInfo producerInfo,
                                    String webappName)
                             throws ProducerManagerException

  Adds a producer

  * * @param producerInfo producer info * @param webappName web app * @return producer info * @throws ProducerManagerException thrown due to an error performing the * operation

  Throws:
    `ProducerManagerException`

### addProducer

    public ProducerInfo addProducer(String wsdlUrl,
                                    DefinitionsDocument wsdl,
                                    ServiceDescription serviceDescription,
                                    String producerHandle,
                                    String description,
                                    String vendorName,
                                    String webappName,
                                    HttpServletRequest request)
                             throws ProducerManagerException

  Adds a producer

  * * @param wsdlUrl WSDL URL * @param wsdl WSDL document * @param serviceDescription service description * @param producerHandle producer handle * @param description description * @param vendorName vendor * @param webappName web app * @param request HTTP request * @return producer info * @throws ProducerManagerException thrown due to an error performing the * operation

  Throws:
    `ProducerManagerException`

### deregisterProducer

    public void deregisterProducer(String producerHandle,
                                   String webappName,
                                   HttpServletRequest httpRequest)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerManagerException

  Deregisters with the given producer.

  * * @param producerHandle * @param webappName * @throws IllegalArgumentException if the given producer handle is invalid * @throws RegistrationNotSupportedException * @throws ProducerManagerException

  Throws:
    `IllegalArgumentException`
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### getProducer

    public ProducerInfo getProducer(String producerHandle,
                                    String webappName)
                             throws ProducerManagerException

  Returns the producer, given its handle and the web app. * * @return producer * @throws ProducerManagerException thrown due to an error performing the * operation

  Throws:
    `ProducerManagerException`

### getProducers

    public ProducerInfo[] getProducers(String webappName)
                                throws ProducerManagerException

  Returns an array of currently added producers. * * @return an array of producers * @throws ProducerManagerException thrown due to an error performing the * operation

  Throws:
    `ProducerManagerException`

### getServiceDescription

    public ServiceDescription getServiceDescription(String producerHandle,
                                                    String webappName)
                                             throws ProducerManagerException

  Returns the service description for a specified producer WSDL URL. * * @param producerHandle producer handle * @return service description * @throws ProducerManagerException thrown due to an error performing the * operation * @throws IllegalArgumentException thrown if the given producer handle is * invalid

  Throws:
    `ProducerManagerException`

### modifyProducerRegistration

    public String modifyProducerRegistration(String producerHandle,
                                             String webappName,
                                             Map registrationProperties,
                                             HttpServletRequest httpRequest)
                                      throws IllegalArgumentException,
                                             RegistrationNotSupportedException,
                                             ProducerManagerException

  Modifies a current producer's registration. * * @param producerHandle producer handle * @param registrationProperties new registration properties * @throws IllegalArgumentException if the given producer handle is invalid * @throws RegistrationNotSupportedException thrown if the given producer does not * support registration * @throws ProducerManagerException thrown due to an error performing the * operation

  Throws:
    `IllegalArgumentException`
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### registerProducer

    public String registerProducer(String producerHandle,
                                   String webappName,
                                   Map registrationProperties,
                                   HttpServletRequest httpRequest)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerManagerException

  Registers this consumer with a producer.

  * * @param producerHandle producer handle * @param registrationProperties registration properties * @return the generated registration handle * @throws IllegalArgumentException if the given producer handle is invalid * @throws RegistrationNotSupportedException thrown if the given producer does not * support registration * @throws ProducerManagerException thrown due to an error performing the * operation

  Throws:
    `IllegalArgumentException`
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### removeProducer

    public void removeProducer(String producerHandle,
                               String webappName)
                        throws IllegalArgumentException,
                               ProducerInUseException,
                               ProducerManagerException

  Removes a producer. If the producer still has added portlets, an exception is thrown. The producer being * removed must be known by the `RemotePortletManager`.

  * * @param producerHandle The handle for the producer being removed * @param webappName the webapp name * @throws ProducerManagerException thrown due to an error performing the * operation * @throws ProducerInUseException thrown if the given producer can not be * removed * @throws IllegalArgumentException if the given producer handle is invalid

  Throws:
    `IllegalArgumentException`
    `ProducerInUseException`
    `ProducerManagerException`

### removeProducerCascade

    public void removeProducerCascade(String producerHandle,
                                      String webappName,
                                      HttpServletRequest httpRequest)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Removes a producer, first removing any added portlets for the producer.

  * * @param producerHandle The handle for the producer being removed * @param webappName the webapp name * @param httpRequest HttpServletRequest * @throws ProducerManagerException thrown due to an error performing the * operation * @throws IllegalArgumentException if the given producer handle is invalid

  Throws:
    `IllegalArgumentException`
    `ProducerManagerException`

### updateProducer

    public void updateProducer(ProducerInfo producer,
                               String webappName)
                        throws ProducerManagerException

  Updates the given producer

  * * @param producer * @param webappName * @throws ProducerManagerException

  Throws:
    `ProducerManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved